package com.nantian.cloud.jljc.service.impl;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.entity.EnterpriseInfo;
import com.nantian.cloud.jljc.entity.EnterpriseStandard;
import com.nantian.cloud.jljc.mapper.EnterpriseStandardMapper;
import com.nantian.cloud.jljc.service.EnterpriseInfoService;
import com.nantian.cloud.jljc.service.EnterpriseStandardService;
import org.springframework.stereotype.Service;


@Service("EnterpriseStandardService")
public class EnterpriseStandardServiceImpl extends ServiceImpl<EnterpriseStandardMapper, EnterpriseStandard> implements EnterpriseStandardService {

    @Override
    public IPage<EnterpriseStandard> selectall(Page page, EnterpriseStandard enterpriseStandard) {
        return baseMapper.selectall(page,enterpriseStandard);
    }

    @Override
    public boolean updateall(EnterpriseStandard enterpriseStandard) {
        if (baseMapper.updateall(enterpriseStandard)>0){
            return true;
        }else {
            return  false;
        }
    }
}
